catalog:
  title: CSRA FSMT test for situationview

templates:
- runnable
- base

variables:
  description: FSMT LSP-CSRA Integration Test for situation viewer
  keywords:
  - python
  - fsmt
  - programming language
  - testing
  - integrations tests
  - activity recognition
  - visualzation
  maintainer: Viktor Richter
  recipe.maintainer:
  - vrichter@techfak.uni-bielefeld.de
  runnable: true
  access: private

  branches:
  - master

  shell.command: |
    #!/bin/bash
    sleep 10;
    export DISPLAY=:0.0;
    export VDEMO_prefix=${toolkit.dir}
    export VDEMO_demoRoot=$VDEMO_prefix/etc/vdemo_scripts
    . $VDEMO_demoRoot/lsp-csra-config.sh
    env_python;
    $prefix/bin/fsmt -c -o $WORKSPACE --loglevel=INFO ${toolkit.dir}/etc/fsmt-experiments/simulation/situation/situationviewer-test-vdemo-local.scxml;
